Public Class Graf
    Public Pole_preserizeni() As Single
    Public Pole_nazvu() As String
    Dim kombinace_nazev()
    Dim rozmer As Long
    Dim pocet_zakazek As Integer
    Dim Tolerance As Single
    Dim nejlepsi(24) As Single
    Private Sub Graf_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim pozice1, pozice2, pozice3 As Point
        Dim velikost_obrazovky, rozmer_grafu, rozmer_tabulky As Size
        ReDim kombinace_nazev(rozmer - 1)

        velikost_obrazovky.Height = Screen.PrimaryScreen.Bounds.Height
        velikost_obrazovky.Width = Screen.PrimaryScreen.Bounds.Width
        rozmer_grafu.Height = 500
        rozmer_grafu.Width = velikost_obrazovky.Width - 20
        pozice1.X = 10
        pozice1.Y = 10
        pozice2.X = 10
        pozice2.Y = pozice1.Y + rozmer_grafu.Height + 40
        rozmer_tabulky.Height = velikost_obrazovky.Height - pozice2.Y - 75
        rozmer_tabulky.Width = velikost_obrazovky.Width - 20
        pozice3.X = 5
        pozice3.Y = pozice1.Y + rozmer_grafu.Height
        RB_Individual_tolerance.Location = pozice3
        pozice3.Y += 20
        RB_Total_tolerance.Location = pozice3
        pozice3.X = 190
        pozice3.Y = pozice1.Y + rozmer_grafu.Height + 10
        Tolerance_txtbox.Location = pozice3
        pozice3.X = 250
        tolerance_button_mark.Location = pozice3
        pozice3.X = 320
        tolerance_button_delete.Location = pozice3
        pozice3.X = 390
        Cancel_button.Location = pozice3
        pozice3.X = velikost_obrazovky.Width - 500
        Graph_button_display_chosen.Location = pozice3
        pozice3.X = velikost_obrazovky.Width - 300
        Graph_button_display_all.Location = pozice3
        pozice3.X = 600
        Button_remove_unmarked.Location = pozice3
        pozice3.X = 800
        Button_Remove_marked.Location = pozice3
        pozice3.X = 460
        pozice3.Y += 5
        Pocet_radku_label.Location = pozice3
        'pozice2.Y = pozice1.Y + rozmer_grafu.Height + 5
        'RB_Individual_tolerance.Location = pozice2
        'pozice2.Y += 10
        'RB_Total_tolerance.Location = pozice2




        Me.Graf1.Size = rozmer_grafu
        Me.Graf1.Location = pozice1
        Me.Tabulka_hodnot.Size = rozmer_tabulky
        Me.Tabulka_hodnot.Location = pozice2

        rozmer = Form2.rozmer
        pocet_zakazek = Uzke_misto.PocetZakazek
        Pocet_radku_label.Text = "Zobrazeno " & rozmer & " řádků"


        'MsgBox(nejlepsi(0))
        'MsgBox(nejlepsi(24))


        ReDim Pole_preserizeni(rozmer - 1)
        ReDim Pole_nazvu(rozmer - 1)

        Naplneni_casu_preserizeni()
        Vytvoreni_pole_jmen()
        Naplneni_tabulky()

        'Me.Graf1.ChartAreas(0).AxisY.Interval = 1
        Me.Graf1.ChartAreas(0).AxisX.Interval = 1
        'Me.Graf1.ChartAreas(0).AxisY.AxisLine = True
        Dim i, j As Integer
        If rozmer > 25 Then
            'nejlepsi = (From x In Form2.Dynamicke_pole Order By x Descending).Take(25)
            Exit Sub
        End If
        For i = 0 To Form2.rozmer - 1
            Me.Graf1.Series("Přeseřízení").Points.AddXY(Pole_nazvu(i), Form2.Pole_vysledku(i, Uzke_misto.PocetZakazek) / 60)
            Me.Graf1.Series("Přeseřízení").Color = Color.Aquamarine
            Me.Graf1.Series("Přeseřízení").BorderColor = Color.Black
            Me.Graf1.Series("Přeseřízení").CustomProperties = "PixelPointWidth = 40"

            For j = 0 To Uzke_misto.PocetZakazek - 1
                If i = 0 Then
                    Me.Graf1.Series.Add("Zpoždění " & j + 1 & ". zakázky")
                    'Me.Graf1.Series("Zpoždění " & j + 1 & ". zakázky").Color = Color.Blue
                    Me.Graf1.Series("Zpoždění " & j + 1 & ". zakázky").BorderColor = Color.Black
                    Me.Graf1.Series("Zpoždění " & j + 1 & ". zakázky").CustomProperties = "PixelPointWidth = 40"

                    Me.Graf1.Series("Zpoždění " & j + 1 & ". zakázky").Points.Add(Form2.Dynamicke_pole(i, j))
                Else
                    Me.Graf1.Series("Zpoždění " & j + 1 & ". zakázky").Points.Add(Form2.Dynamicke_pole(i, j))
                End If
            Next
            Me.Graf1.Series("Dynamická mezera").Points.Add(Form2.Dynamicke_pole(i, Uzke_misto.PocetZakazek))
            Me.Graf1.Series("Dynamická mezera").Color = Color.Green
            Me.Graf1.Series("Dynamická mezera").BorderColor = Color.Black
            Me.Graf1.Series("Dynamická mezera").CustomProperties = "PixelPointWidth = 40"

        Next




    End Sub

    Private Sub Naplneni_casu_preserizeni()
        Dim i As Integer
        For i = 0 To rozmer - 1
            Pole_preserizeni(i) = Form2.Pole_vysledku(i, pocet_zakazek)
        Next
    End Sub

    Private Sub Vytvoreni_pole_jmen()
        Dim jmeno As String
        Dim i, j As Integer

        For i = 0 To rozmer - 1
            jmeno = Nothing
            For j = 0 To pocet_zakazek - 1
                If j = 0 Then
                    jmeno &= Convert.ToString(Form2.Pole_vysledku(i, j))
                Else
                    jmeno &= "-" & Convert.ToString(Form2.Pole_vysledku(i, j))
                End If


            Next
            Pole_nazvu(i) = jmeno

        Next
    End Sub

    Private Sub Naplneni_tabulky()
        Dim i, j As Integer
        Dim Soucet As Single


        Tabulka_hodnot.Columns.Add("Jmeno", "Kombinace")
        Tabulka_hodnot.Columns.Add("Preserizeni", "Celkový přeseřizovací čas [min]")
        'Tabulka_hodnot.Columns.Add("Dynamicka_mezera", "Celková dynamická mezera [den]")

        For i = 0 To rozmer - 1

            Soucet = 0

            Tabulka_hodnot.Rows.Add()
            Tabulka_hodnot.Rows(i).HeaderCell.Value = i + 1 & "."
            Tabulka_hodnot.Rows(i).Cells(0).Value = Pole_nazvu(i)
            Tabulka_hodnot.Rows(i).Cells(1).Value = Pole_preserizeni(i)

            For j = 0 To pocet_zakazek - 1
                If i = 0 Then
                    Tabulka_hodnot.Columns.Add("Zpozdeni" & j, "Zpoždění " & j + 1 & ". zakázky [h]")
                End If
                Tabulka_hodnot.Rows(i).Cells(2 + j).Value = Form2.Dynamicke_pole(i, j)
                If Form2.Dynamicke_pole(i, j) > 0 Then
                    Soucet += Form2.Dynamicke_pole(i, j)
                End If
            Next
            If i = 0 Then
                Tabulka_hodnot.Columns.Add("Dynamicka_mezera", "Celková dynamická mezera [h]")
                Tabulka_hodnot.Columns.Add("Soucet_zpozdeni", "Součet kladných zpoždění [h]")
            End If
            Tabulka_hodnot.Rows(i).Cells(pocet_zakazek + 2).Value = Form2.Dynamicke_pole(i, pocet_zakazek)
            Tabulka_hodnot.Rows(i).Cells(pocet_zakazek + 3).Value = Soucet

        Next
        Pocet_radku_label.Text = "Zobrazeno " & rozmer & " řádků"
    End Sub

    Private Sub Naplneni_tabulky_oznaceni(omezeni As Single)
        Dim i, j, k, pocet As Integer
        Dim presah As Boolean
        Dim Soucet As Single

        Tabulka_hodnot.Columns.Add("Jmeno", "Kombinace")
        Tabulka_hodnot.Columns.Add("Preserizeni", "Celkový přeseřizovací čas [min]")
        'Tabulka_hodnot.Columns.Add("Dynamicka_mezera", "Celková dynamická mezera [den]")

        pocet = 0
        For i = 0 To rozmer - 1
            Soucet = 0
            Tabulka_hodnot.Rows.Add()
            Tabulka_hodnot.Rows(i).HeaderCell.Value = i + 1 & "."
            Tabulka_hodnot.Rows(i).Cells(0).Value = Pole_nazvu(i)
            Tabulka_hodnot.Rows(i).Cells(1).Value = Pole_preserizeni(i)
            presah = False
            For j = 0 To pocet_zakazek - 1
                If i = 0 Then
                    Tabulka_hodnot.Columns.Add("Zpozdeni" & j, "Zpoždění " & j + 1 & ". zakázky [h]")
                End If
                Tabulka_hodnot.Rows(i).Cells(2 + j).Value = Form2.Dynamicke_pole(i, j)
                If Form2.Dynamicke_pole(i, j) > omezeni Then
                    presah = True
                    Tabulka_hodnot.Rows(i).Cells(2 + j).Style.BackColor = Color.Red
                End If
                If Form2.Dynamicke_pole(i, j) > 0 Then
                    Soucet += Form2.Dynamicke_pole(i, j)
                End If
            Next

            If i = 0 Then
                Tabulka_hodnot.Columns.Add("Dynamicka_mezera", "Celková dynamická mezera [h]")
                Tabulka_hodnot.Columns.Add("Soucet_zpozdeni", "Součet kladných zpoždění [h]")
            End If
            Tabulka_hodnot.Rows(i).Cells(pocet_zakazek + 2).Value = Form2.Dynamicke_pole(i, pocet_zakazek)
            If presah Then
                pocet += 1
                For k = 0 To pocet_zakazek + 3
                    If Not Tabulka_hodnot.Rows(i).Cells(k).Style.BackColor = Color.Red Then
                        Tabulka_hodnot.Rows(i).Cells(k).Style.BackColor = Color.Orange

                    End If
                Next

            End If
            Tabulka_hodnot.Rows(i).Cells(pocet_zakazek + 3).Value = Soucet
        Next

        Pocet_radku_label.Text = "Označeno " & pocet & " z " & rozmer & " řádků"
    End Sub

    Private Sub Naplneni_tabulky_oznaceni_soucet(omezeni As Single)
        Dim i, j, k, pocet As Integer
        Dim presah As Boolean
        Dim Soucet As Single

        Tabulka_hodnot.Columns.Add("Jmeno", "Kombinace")
        Tabulka_hodnot.Columns.Add("Preserizeni", "Celkový přeseřizovací čas [min]")
        'Tabulka_hodnot.Columns.Add("Dynamicka_mezera", "Celková dynamická mezera [den]")

        pocet = 0
        For i = 0 To rozmer - 1
            Soucet = 0
            Tabulka_hodnot.Rows.Add()
            Tabulka_hodnot.Rows(i).HeaderCell.Value = i + 1 & "."
            Tabulka_hodnot.Rows(i).Cells(0).Value = Pole_nazvu(i)
            Tabulka_hodnot.Rows(i).Cells(1).Value = Pole_preserizeni(i)
            presah = False
            For j = 0 To pocet_zakazek - 1
                If i = 0 Then
                    Tabulka_hodnot.Columns.Add("Zpozdeni" & j, "Zpoždění " & j + 1 & ". zakázky [h]")
                End If
                Tabulka_hodnot.Rows(i).Cells(2 + j).Value = Form2.Dynamicke_pole(i, j)
                'If Form2.Dynamicke_pole(i, j) > omezeni Then
                '    presah = True
                '    Tabulka_hodnot.Rows(i).Cells(2 + j).Style.BackColor = Color.Red
                'End If
                If Form2.Dynamicke_pole(i, j) > 0 Then
                    Soucet += Form2.Dynamicke_pole(i, j)
                End If
            Next

            If i = 0 Then
                Tabulka_hodnot.Columns.Add("Dynamicka_mezera", "Celková dynamická mezera [h]")
                Tabulka_hodnot.Columns.Add("Soucet_zpozdeni", "Součet kladných zpoždění [h]")
            End If
            Tabulka_hodnot.Rows(i).Cells(pocet_zakazek + 2).Value = Form2.Dynamicke_pole(i, pocet_zakazek)


            Tabulka_hodnot.Rows(i).Cells(pocet_zakazek + 3).Value = Soucet
            If Soucet > omezeni Then
                Tabulka_hodnot.Rows(i).Cells(pocet_zakazek + 3).Style.BackColor = Color.Red
                presah = True
            End If
            If presah Then
                pocet += 1
                For k = 0 To pocet_zakazek + 2

                    Tabulka_hodnot.Rows(i).Cells(k).Style.BackColor = Color.Orange


                Next

            End If
        Next

        Pocet_radku_label.Text = "Označeno " & pocet & " z " & rozmer & " řádků"
    End Sub

    Private Sub Naplneni_tabulky_odstraneni(omezeni As Single)
        Dim i, j, k As Integer
        Dim presah As Boolean
        Dim Soucet As Single

        Tabulka_hodnot.Columns.Add("Jmeno", "Kombinace")
        Tabulka_hodnot.Columns.Add("Preserizeni", "Celkový přeseřizovací čas [min]")
        'Tabulka_hodnot.Columns.Add("Dynamicka_mezera", "Celková dynamická mezera [den]")
        k = 0
        For i = 0 To rozmer - 1
            Soucet = 0
            For j = 0 To pocet_zakazek - 1
                If Form2.Dynamicke_pole(i, j) > omezeni Then
                    GoTo Skok
                End If
            Next

            Tabulka_hodnot.Rows.Add()
            Tabulka_hodnot.Rows(k).HeaderCell.Value = k + 1 & "."
            Tabulka_hodnot.Rows(k).Cells(0).Value = Pole_nazvu(i)
            Tabulka_hodnot.Rows(k).Cells(1).Value = Pole_preserizeni(i)
            presah = False
            For j = 0 To pocet_zakazek - 1
                If k = 0 Then
                    Tabulka_hodnot.Columns.Add("Zpozdeni" & j, "Zpoždění " & j + 1 & ". zakázky [h]")
                End If
                Tabulka_hodnot.Rows(k).Cells(2 + j).Value = Form2.Dynamicke_pole(i, j)
                If Form2.Dynamicke_pole(i, j) > 0 Then
                    Soucet += Form2.Dynamicke_pole(i, j)
                End If
            Next

            If k = 0 Then
                Tabulka_hodnot.Columns.Add("Dynamicka_mezera", "Celková dynamická mezera [h]")
                Tabulka_hodnot.Columns.Add("Soucet_zpozdeni", "Součet kladných zpoždění [h]")
            End If
            Tabulka_hodnot.Rows(k).Cells(pocet_zakazek + 2).Value = Form2.Dynamicke_pole(i, pocet_zakazek)
            Tabulka_hodnot.Rows(k).Cells(pocet_zakazek + 3).Value = Soucet
            k += 1
Skok:
        Next
        Pocet_radku_label.Text = "Zobrazeno " & k & " řádků"
    End Sub

    Private Sub Naplneni_tabulky_odstraneni_soucet(omezeni As Single)
        Dim i, j, k As Integer
        Dim presah As Boolean
        Dim Soucet As Single

        Tabulka_hodnot.Columns.Add("Jmeno", "Kombinace")
        Tabulka_hodnot.Columns.Add("Preserizeni", "Celkový přeseřizovací čas [min]")
        'Tabulka_hodnot.Columns.Add("Dynamicka_mezera", "Celková dynamická mezera [den]")
        k = 0
        For i = 0 To rozmer - 1
            Soucet = 0
            'For j = 0 To pocet_zakazek - 1
            '    If Form2.Dynamicke_pole(i, j) > omezeni Then
            '        GoTo Skok
            '    End If
            'Next
            For j = 0 To pocet_zakazek - 1


                If Form2.Dynamicke_pole(i, j) > 0 Then
                    Soucet += Form2.Dynamicke_pole(i, j)
                End If
            Next
            If Soucet > omezeni Then
                GoTo Skok
            End If

            Tabulka_hodnot.Rows.Add()
            Tabulka_hodnot.Rows(k).HeaderCell.Value = k + 1 & "."
            Tabulka_hodnot.Rows(k).Cells(0).Value = Pole_nazvu(i)
            Tabulka_hodnot.Rows(k).Cells(1).Value = Pole_preserizeni(i)
            presah = False
            For j = 0 To pocet_zakazek - 1
                If k = 0 Then
                    Tabulka_hodnot.Columns.Add("Zpozdeni" & j, "Zpoždění " & j + 1 & ". zakázky [h]")
                End If
                Tabulka_hodnot.Rows(k).Cells(2 + j).Value = Form2.Dynamicke_pole(i, j)
                If Form2.Dynamicke_pole(i, j) > 0 Then
                    Soucet += Form2.Dynamicke_pole(i, j)
                End If
            Next

            If k = 0 Then
                Tabulka_hodnot.Columns.Add("Dynamicka_mezera", "Celková dynamická mezera [h]")
                Tabulka_hodnot.Columns.Add("Soucet_zpozdeni", "Součet kladných zpoždění [h]")
            End If
            Tabulka_hodnot.Rows(k).Cells(pocet_zakazek + 2).Value = Form2.Dynamicke_pole(i, pocet_zakazek)
            Tabulka_hodnot.Rows(k).Cells(pocet_zakazek + 3).Value = Soucet
            k += 1
Skok:
        Next
        Pocet_radku_label.Text = "Zobrazeno " & k & " řádků"
    End Sub

    Private Sub Naplneni_tabulky_oznacenymi_radky()
        Do
            For Each radek As System.Windows.Forms.DataGridViewRow In Me.Tabulka_hodnot.Rows
                If Not Tabulka_hodnot.SelectedRows.Contains(radek) Then
                    Me.Tabulka_hodnot.Rows.Remove(radek)
                End If
            Next
        Loop Until Tabulka_hodnot.Rows.Count = Tabulka_hodnot.SelectedRows.Count

        Pocet_radku_label.Text = "Zobrazeno " & Tabulka_hodnot.Rows.Count & " řádků"
    End Sub

    Private Sub Odstraneni_oznacenych_radku()
        Dim pocet As Short
        pocet = Tabulka_hodnot.Rows.Count - Tabulka_hodnot.SelectedRows.Count

        Do
            For Each radek As System.Windows.Forms.DataGridViewRow In Me.Tabulka_hodnot.Rows
                If Tabulka_hodnot.SelectedRows.Contains(radek) Then
                    Me.Tabulka_hodnot.Rows.Remove(radek)
                End If
            Next
        Loop Until Tabulka_hodnot.Rows.Count = pocet

        Pocet_radku_label.Text = "Zobrazeno " & Tabulka_hodnot.Rows.Count & " řádků"
    End Sub

    Private Sub tolerance_button_mark_Click(sender As Object, e As EventArgs) Handles tolerance_button_mark.Click
        Tolerance = Convert.ToSingle(Tolerance_txtbox.Text)
        Tabulka_hodnot.Rows.Clear()
        Tabulka_hodnot.Columns.Clear()
        If RB_Individual_tolerance.Checked Then
            Naplneni_tabulky_oznaceni(Tolerance)
        ElseIf RB_Total_tolerance.Checked Then
            Naplneni_tabulky_oznaceni_soucet(Tolerance)
        End If



    End Sub

    Private Sub tolerance_button_delete_Click(sender As Object, e As EventArgs) Handles tolerance_button_delete.Click
        Tolerance = Convert.ToSingle(Tolerance_txtbox.Text)
        Tabulka_hodnot.Rows.Clear()
        Tabulka_hodnot.Columns.Clear()
        If RB_Individual_tolerance.Checked Then
            Naplneni_tabulky_odstraneni(Tolerance)
        ElseIf RB_Total_tolerance.Checked Then
            Naplneni_tabulky_odstraneni_soucet(Tolerance)
        End If


    End Sub

    Private Sub Cancel_button_Click(sender As Object, e As EventArgs) Handles Cancel_button.Click
        Tabulka_hodnot.Rows.Clear()
        Tabulka_hodnot.Columns.Clear()
        Naplneni_tabulky()
    End Sub

    Private Sub Graph_button_display_chosen_Click(sender As Object, e As EventArgs) Handles Graph_button_display_chosen.Click

        Dim i, j As Integer
        If Tabulka_hodnot.SelectedRows.Count = 0 Then
            MsgBox("Nevybrán žádný řádek!")
            Exit Sub
        Else
            Graf1.Series.Clear()
            For i = 0 To Tabulka_hodnot.SelectedRows.Count - 1
            If i = 0 Then
                    Me.Graf1.Series.Add("Přeseřízení")
                    Me.Graf1.Series("Přeseřízení").Color = Color.Aquamarine
                    Me.Graf1.Series("Přeseřízení").BorderColor = Color.Black
                    Me.Graf1.Series("Přeseřízení").CustomProperties = "PixelPointWidth = 40"
                End If
                Me.Graf1.Series("Přeseřízení").Points.AddXY(Tabulka_hodnot.SelectedRows.Item(i).Cells(0).Value, Tabulka_hodnot.SelectedRows.Item(i).Cells(1).Value / 60)

                For j = 0 To Uzke_misto.PocetZakazek - 1
                If i = 0 Then
                    Me.Graf1.Series.Add("Zpoždění " & j + 1 & ". zakázky")
                        Me.Graf1.Series("Zpoždění " & j + 1 & ". zakázky").Points.Add(Tabulka_hodnot.SelectedRows.Item(i).Cells(j + 2).Value)
                        'Me.Graf1.Series("Zpoždění " & j + 1 & ". zakázky").Color = Color.Blue
                        Me.Graf1.Series("Zpoždění " & j + 1 & ". zakázky").BorderColor = Color.Black
                        Me.Graf1.Series("Zpoždění " & j + 1 & ". zakázky").CustomProperties = "PixelPointWidth = 40"
                    Else
                    Me.Graf1.Series("Zpoždění " & j + 1 & ". zakázky").Points.Add(Tabulka_hodnot.SelectedRows.Item(i).Cells(j + 2).Value)
                End If
            Next
            If i = 0 Then
                    Me.Graf1.Series.Add("Dynamická mezera")
                    Me.Graf1.Series("Dynamická mezera").Color = Color.Green
                    Me.Graf1.Series("Dynamická mezera").BorderColor = Color.Black
                    Me.Graf1.Series("Dynamická mezera").CustomProperties = "PixelPointWidth = 40"
                End If
            Me.Graf1.Series("Dynamická mezera").Points.Add(Tabulka_hodnot.SelectedRows.Item(i).Cells(pocet_zakazek + 2).Value)

        Next
        End If
    End Sub

    Private Sub Graph_button_display_all_Click(sender As Object, e As EventArgs) Handles Graph_button_display_all.Click
        Graf1.Series.Clear()
        Dim i, j As Integer
        For i = 0 To Tabulka_hodnot.Rows.Count - 1
            If i = 0 Then
                Me.Graf1.Series.Add("Přeseřízení")
                Me.Graf1.Series("Přeseřízení").Color = Color.Aquamarine
                Me.Graf1.Series("Přeseřízení").BorderColor = Color.Black
                Me.Graf1.Series("Přeseřízení").CustomProperties = "PixelPointWidth = 40"
            End If
            Me.Graf1.Series("Přeseřízení").Points.AddXY(Tabulka_hodnot.Rows(i).Cells(0).Value, Tabulka_hodnot.Rows(i).Cells(1).Value / 60)

            For j = 0 To Uzke_misto.PocetZakazek - 1
                If i = 0 Then
                    Me.Graf1.Series.Add("Dynamická mezera " & j + 1 & ". zakázky")
                    Me.Graf1.Series("Dynamická mezera " & j + 1 & ". zakázky").Points.Add(Tabulka_hodnot.Rows(i).Cells(j + 2).Value)
                    'Me.Graf1.Series("Zpoždění " & j + 1 & ". zakázky").Color = Color.Blue
                    Me.Graf1.Series("Dynamická mezera " & j + 1 & ". zakázky").BorderColor = Color.Black
                    Me.Graf1.Series("Dynamická mezera " & j + 1 & ". zakázky").CustomProperties = "PixelPointWidth = 40"
                Else
                    Me.Graf1.Series("Dynamická mezera " & j + 1 & ". zakázky").Points.Add(Tabulka_hodnot.Rows(i).Cells(j + 2).Value)
                End If
            Next
            If i = 0 Then
                Me.Graf1.Series.Add("Celková dynamická mezera")
                Me.Graf1.Series("Celková dynamická mezera").Color = Color.Green
                Me.Graf1.Series("Celková dynamická mezera").BorderColor = Color.Black
                Me.Graf1.Series("Celková dynamická mezera").CustomProperties = "PixelPointWidth = 40"
            End If
            Me.Graf1.Series("Celková dynamická mezera").Points.Add(Tabulka_hodnot.Rows(i).Cells(pocet_zakazek + 2).Value)

        Next
    End Sub

    Private Sub Button_remove_unmarked_Click(sender As Object, e As EventArgs) Handles Button_remove_unmarked.Click
        Naplneni_tabulky_oznacenymi_radky()
    End Sub

    Private Sub Button_Remove_marked_Click(sender As Object, e As EventArgs) Handles Button_Remove_marked.Click
        Odstraneni_oznacenych_radku()
    End Sub
End Class